package gmt.protocol.ext.VO;

public class ExtMsg_RPC22VO {
	private String msg;
	private String packetType;
	private int HUB;
	private int ROUTER;
	private int MODEM;
	private int BSPrimary;
	private int BSCPrimary1;
	private int BSCPrimary2;
	private int BSSecondary;
	private int BSCSecondary1;
	private int BSCSecondary2;
	
	public ExtMsg_RPC22VO() {
		this.msg = "";
		this.packetType = "";
		this.HUB = -1;
		this.ROUTER = -1;
		this.MODEM = -1;
		this.BSPrimary = -1;
		this.BSCPrimary1 = -1;
		this.BSCPrimary2 = -1;
		this.BSSecondary = -1;
		this.BSCSecondary1 = -1;
		this.BSCSecondary2 = -1;
	}
	
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}	
	public int getHUB() {
		return HUB;
	}
	public void setHUB(int HUB) {
		this.HUB = HUB;
	}	
	public int getROUTER() {
		return ROUTER;
	}
	public void setROUTER(int ROUTER) {
		this.ROUTER = ROUTER;
	}		
	public int getMODEM() {
		return MODEM;
	}
	public void setMODEM(int MODEM) {
		this.MODEM = MODEM;
	}	
	public int getBSPrimary() {
		return BSPrimary;
	}
	public void setBSPrimary(int BSPrimary) {
		this.BSPrimary = BSPrimary;
	}	
	public int getBSCPrimary1() {
		return BSCPrimary1;
	}
	public void setBSCPrimary1(int BSCPrimary1) {
		this.BSCPrimary1 = BSCPrimary1;
	}		
	public int getBSCPrimary2() {
		return BSCPrimary2;
	}
	public void setBSCPrimary2(int BSCPrimary2) {
		this.BSCPrimary2 = BSCPrimary2;
	}
	public int getBSSecondary() {
		return BSSecondary;
	}
	public void setBSSecondary(int BSSecondary) {
		this.BSSecondary = BSSecondary;
	}	
	public int getBSCSecondary1() {
		return BSCSecondary1;
	}
	public void setBSCSecondary1(int BSCSecondary1) {
		this.BSCSecondary1 = BSCSecondary1;
	}		
	public int getBSCSecondary2() {
		return BSCSecondary2;
	}
	public void setBSCSecondary2(int BSCSecondary2) {
		this.BSCSecondary2 = BSCSecondary2;
	}		
}
